clang 10.0.0git

Functions
InterpFrame.cpp File Reference
`#include "InterpFrame.h"`
`#include "Function.h"`
`#include "Interp.h"`
`#include "InterpStack.h"`
`#include "PrimType.h"`
`#include "Program.h"`
`#include "clang/AST/DeclCXX.h"`
Include dependency graph for InterpFrame.cpp:

Go to the source code of this file.

## Functions
template<typename T >
static void | print (llvm::raw_ostream &OS, const T &V, ASTContext &, QualType)
template<>
void | print (llvm::raw_ostream &OS, const Pointer &P, ASTContext &Ctx, QualType Ty)

## Function Documentation

## ◆ print() [1/2]

template<typename T >

static void print | ( | llvm::raw_ostream & | OS,
|  | const T & | V,
|  | ASTContext & | ,
|  | QualType |
| ) |  |
| static

Definition at line 57 of file InterpFrame.cpp.

References V.

Referenced by clang::interp::InterpFrame::describe().

## ◆ print() [2/2]

template<>

void print | ( | llvm::raw_ostream & | OS,
|  | const Pointer & | P,
|  | ASTContext & | Ctx,
|  | QualType | Ty
| ) |  |

Definition at line 62 of file InterpFrame.cpp.

References clang::interp::Pointer::getDeclDesc(), clang::ASTContext::getPrintingPolicy(), clang::Type::isReferenceType(), clang::interp::Pointer::isRoot(), and clang::interp::Pointer::isZero().

Referenced by clang::CodeGen::CGBitFieldInfo::CGBitFieldInfo(), clang::CallGraph::dump(), clang::CallGraphNode::dump(), clang::Selector::dump(), clang::SourceRange::fullyContains(), clang::QualType::getAsString(), clang::CodeGen::CGRecordLayout::getBitFieldInfo(), clang::ento::RangeSet::getConcreteValue(), clang::TypeConstraint::getImmediatelyDeclaredConstraint(), clang::ast_type_traits::DynTypedNode::getMemoizationData(), clang::Module::getModuleInputBufferName(), clang::TemplateArgument::getPackAsArray(), clang::getParameterABISpelling(), clang::CFGBlock::getParent(), clang::driver::toolchains::Generic_GCC::GCCInstallationDetector::getVersion(), clang::SourceLocation::isPairOfFileLocations(), clang::QualType::print(), clang::Decl::print(), clang::CFG::size(), and splitAccordingToPolicy().